Subject: Re: [PATCH v2] bonding: send IPv6 neighbor advertisement on failover

From: Brian Haley <[email-masked]>
Date: Fri, 10 Oct 2008 10:34:58 -0400

David Stevens wrote:
>> I don't see any way to address David Steven's comment since there is 
>> currently no NA tunable in the IPv6 code.
> 
> Brian,
>         How do you feel about doubling up with dad_transmits for that
> part?

I don't really want to since this is bonding-specific behavior, and 
we're not performing DAD for the address.  This is just another sysfs 
entry: /sys/class/net/bond*/bonding/num_unsol_na, not a sysctl.

>         At least the switch/cache updating portion is the same
> in both cases.

I don't think they are.  In the DAD case we're probing for another node 
that might have the address configured, in the bond failover case we 
want to update the switch quickly so we don't drop packets.

-Brian